Subject: [TLS] PWD LC for TLS's "Standard RFC"? (Re: TLS-PWD vs. TLS-SRP)

From: SeongHan Shin <[email-masked]>
Date: Fri, 8 Nov 2013 07:02:25 +0900

Dear all,

This is just a summary of my emails regarding PWD.

First, I have reviewed almost all IETF email discusstions and on-site
discussions, related to PAKE, since 2008.
Now, the TLS wg is about to issue a LC for tls-pwd.
http://tools.ietf.org/html/draft-ietf-tls-pwd-01

Compared to SPEKE and AugPAKE,
https://tools.ietf.org/html/draft-shin-tls-augpake-01
http://tools.ietf.org/html/draft-jablon-speke-02
http://en.wikipedia.org/wiki/SPEKE_%28cryptography%29
PWD is NOT a good choice.
1) PWD has no provable security.
2) PWD is not efficient.
3) PWD may not be patent-free because of SPEKE.

Need more PAKEs better than PWD? See
http://grouper.ieee.org/groups/1363/passwdPK/submissions.html and
http://www.jablon.org/passwordlinks.html

I know we all are security (or crypto) experts and which one is good/bad.

Thank you and best regards,
Shin

On Thu, Nov 7, 2013 at 10:15 AM, SeongHan Shin <[email-masked]>wrote:

> Dear all,
>
> > Is there any advantages of tls-pwd over tls-srp?
>
> > Is there any advantages of tls-pwd over tls-augpake and SPEKE?
> These are clarifying questions because TLS WG is going with PWD towards
> "standard RFC" though PWD has no provable security and is less efficient
> (compared to SPEKE and AugPAKE).
> Are all tls wg members already clarified with advantages of using tls-pwd?
> If so, just let me know.
>
> For patent issues between SPEKE and PWD, there was no conclusions in the
> earlier IPsec meetings to my understanding.
>
> Best regards,
> Shin
>
>
> On Thu, Nov 7, 2013 at 7:44 AM, SeongHan Shin <[email-masked]>wrote:
>
>> Hi Dan,
>>
>> I also was in the IPsec mailing list through all discussions of PAKE
>> schemes.
>> But, I don't remember any advantages of pwd over augpake and speke.
>> Do you mean patent issue that pwd is patent-free and speke isn't?
>>
>> Regards,
>> Shin
>>
>> On Thu, Nov 7, 2013 at 7:32 AM, Dan Harkins <[email-masked]> wrote:
>>
>>>
>>>   Hi Shin,
>>>
>>> On Wed, November 6, 2013 1:24 pm, SeongHan Shin wrote:
>>> > Hi Dan,
>>> >
>>> > Here comes the next question:
>>> > Is there any advantages of tls-pwd over tls-augpake and SPEKE?
>>> > https://tools.ietf.org/html/draft-shin-tls-augpake-01
>>> > http://en.wikipedia.org/wiki/SPEKE_%28cryptography%29
>>>
>>>   Mrs. Harkins didn't raise a moron. I really do not want to
>>> repeat the debacle that occurred on the IPsec mailing list
>>> regarding PAKE schemes.
>>>
>>>   If you would like to rehash all those exchanges I suggest
>>> you go look at the archives.
>>>
>>>   regards,
>>>
>>>   Dan.
>>>
>>>
>>>
>>>
>>
>>
>> --
>> ------------------------------------------------------------------
>> SeongHan Shin
>> Research Institute for Secure Systems (RISEC),
>> National Institute of Advanced Industrial Science and Technology (AIST),
>> Central 2, 1-1-1, Umezono, Tsukuba City, Ibaraki 305-8568 Japan
>> Tel : +81-29-861-2670/5284
>> Fax : +81-29-861-5285
>> E-mail : [email-masked]
>> ------------------------------------------------------------------
>>
>
>
>
> --
> ------------------------------------------------------------------
> SeongHan Shin
> Research Institute for Secure Systems (RISEC),
> National Institute of Advanced Industrial Science and Technology (AIST),
> Central 2, 1-1-1, Umezono, Tsukuba City, Ibaraki 305-8568 Japan
> Tel : +81-29-861-2670/5284
> Fax : +81-29-861-5285
> E-mail : [email-masked]
> ------------------------------------------------------------------
>

-- 
------------------------------------------------------------------
SeongHan Shin
Research Institute for Secure Systems (RISEC),
National Institute of Advanced Industrial Science and Technology (AIST),
Central 2, 1-1-1, Umezono, Tsukuba City, Ibaraki 305-8568 Japan
Tel : +81-29-861-2670/5284
Fax : +81-29-861-5285
E-mail : [email-masked]
------------------------------------------------------------------